/*
* LDAP_Class.h, v1.0 1/22/2003, Scott J. Nichols
*
* This is the C source code header file of an C++ implementation of
* the Netcape v4 LDAP API
*
*/
#ifndef LDAP_CLASS_H
#define LDAP_CLASS_H
#include <stdio.h>
#include <iostream>
#include <time.h>
#include <tcl.h>
#include <ldap.h>
#include <ldap_ssl.h>
#include "ldap_tcl.h"

class LDAP_CLASS {

public:

	//Constructor
	LDAP_CLASS(LDAP	*ld);

	//Destructor
	~LDAP_CLASS();

	// Returns LDAP error code.
	int LDAP_BIND(char *ldapDN,char *ldapPassword);

	// Returns Message ID or -1 if error occurs.
	int LDAP_SEARCH(char *base,int scope,
			                       char *searchFilter,
			                       char **attrs);

	// Returns an LDAP Error Code
	int LDAP_UNBIND();

	// Returns an LDAP Error Code
	int LDAP_RESULT(int msgid,int *all,timeval *tv,LDAPMessage **result);

public:

	LDAP	*ld;

};

#endif